using System.Data;
using System.Windows.Forms;

using SampleApplication.BaseController;
using SampleApplication.Data;

namespace SampleApplication.UIBaseControl
{
	public partial class DetailBaseControl2 : BaseControl
	{
		protected DetailBaseController2<DataSet, DataTable, DataRow, DataTableKeys, SearchCondition> controller = new DetailBaseController2<DataSet, DataTable, DataRow, DataTableKeys, SearchCondition>();

		public DetailBaseControl2()
		{
			InitializeComponent();
		}

		protected void InitializeControl()
		{
		}

		public DataSet DataSet
		{
			get { return controller.DataSet; }
			set { controller.DataSet = value; }
		}

		public DataTable DataTable
		{
			get { return controller.DataTable; }
			set { controller.DataTable = value; }
		}

		public BindingSource BindingSource
		{
			get { return controller.BindingSource; }
			set { controller.BindingSource = value; }
		}

		public virtual bool AddNew()
		{
			return controller.AddNew();
		}

		public virtual bool LoadData(DataTableKeys keys)
		{
			return controller.LoadData(keys);
		}

		public virtual bool Save()
		{
			if (!this.ValidateChildren()) return false;
			return controller.Save();
		}

		public virtual bool Delete()
		{
			if (MessageBox.Show("{ɍ폜܂H", this.ParentForm.Text, MessageBoxButtons.OKCancel) == DialogResult.Cancel) return false;
			return controller.Delete();
		}
	}
}
