﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using SampleApplication.Data;

namespace SampleApplication.UIControl
{
	public partial class Sample1DetailControl : UserControl
	{
		public Sample1DetailControl()
		{
			InitializeComponent();
		}

		public void RebindBindingSource()
		{
			this.iDSampleLabel.DataBindings.Clear();
			this.iDSampleLabel.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.ユーザーBindingSource, "ID", true));
			this.姓SampleTextBox.DataBindings.Clear();
			this.姓SampleTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.ユーザーBindingSource, "姓", true));
			this.名SampleTextBox.DataBindings.Clear();
			this.名SampleTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.ユーザーBindingSource, "名", true));
			this.ユーザー名SampleTextBox.DataBindings.Clear();
			this.ユーザー名SampleTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.ユーザーBindingSource, "ユーザー名", true));
			this.パスワードSampleTextBox.DataBindings.Clear();
			this.パスワードSampleTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.ユーザーBindingSource, "パスワード", true));
			this.電子メールアドレスSampleTextBox.DataBindings.Clear();
			this.電子メールアドレスSampleTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.ユーザーBindingSource, "電子メールアドレス", true));
			this.webサイトSampleTextBox.DataBindings.Clear();
			this.webサイトSampleTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.ユーザーBindingSource, "Webサイト", true));
			this.郵便番号SampleTextBox.DataBindings.Clear();
			this.郵便番号SampleTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.ユーザーBindingSource, "郵便番号", true));
			this.都道府県ComboBox.DataBindings.Clear();
			this.都道府県ComboBox.DataBindings.Add(new System.Windows.Forms.Binding("SelectedValue", this.ユーザーBindingSource, "都道府県", true));
			this.市町村SampleTextBox.DataBindings.Clear();
			this.市町村SampleTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.ユーザーBindingSource, "市町村", true));
			this.番地SampleTextBox.DataBindings.Clear();
			this.番地SampleTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.ユーザーBindingSource, "番地", true));
			this.部屋番号SampleTextBox.DataBindings.Clear();
			this.部屋番号SampleTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.ユーザーBindingSource, "部屋番号", true));
			this.電話番号SampleTextBox.DataBindings.Clear();
			this.電話番号SampleTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.ユーザーBindingSource, "電話番号", true));
			this.携帯電話番号SampleTextBox.DataBindings.Clear();
			this.携帯電話番号SampleTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.ユーザーBindingSource, "携帯電話番号", true));
			this.fAX番号SampleTextBox.DataBindings.Clear();
			this.fAX番号SampleTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.ユーザーBindingSource, "FAX番号", true));
		}

		public bool AddNew()
		{
			this.ユーザーBindingSource.AddNew();
			return true;
		}

		public bool LoadData(ユーザーDataSet.ユーザーDataTableKeys keys)
		{
			if (keys == null) return AddNew();
			this.ユーザーTableAdapter.FillByKeys(this.ユーザーDataSet.ユーザー, keys.ID);
			return true;
		}

		public bool Save()
		{
			if (!this.ValidateChildren()) return false;
			this.ユーザーBindingSource.EndEdit();
			this.ユーザーTableAdapter.Update(this.ユーザーDataSet.ユーザー);
			return true;
		}

		public bool Delete()
		{
			if (MessageBox.Show("本当に削除しますか？", this.ParentForm.Text, MessageBoxButtons.OKCancel) == DialogResult.Cancel) return false;
			this.ユーザーBindingSource.RemoveCurrent();
			this.ユーザーTableAdapter.Update(this.ユーザーDataSet.ユーザー);
			return true;
		}
	}
}
